%global pkg_name augeas

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library for Haskell.

# add any Haskell library dependencies here:
%global ghc_pkg_deps ghc-HUnit-devel

# add any foreign library dependencies here:
%global ghc_pkg_c_deps augeas-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.3.4
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv3
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.8.1
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install

# remove unneeded files
rm -rf $RPM_BUILD_ROOT/usr/bin
rm -rf $RPM_BUILD_ROOT/usr/share/%{pkg_name}-%{version}

# add the additional doc files
echo %doc LICENSE AUTHORS ChangeLog README THANKS >> %{name}.files


%clean
rm -rf $RPM_BUILD_ROOT


%{?ghc_lib_package}


%changelog

* Wed Dec  9 2010 Jude Nagurney <jude@pwan.org> - 0.3.4-1
- Removed testing binary / testing data
- Added %doc files

* Wed Dec  9 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.3.4-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
